## bootpc 0.64

=== Makefile ===
# Last updated : Tue Dec 15 03:38:58 1998
# Version 0.64
#
# $Revision: 1.9 $
#
PROG=bootpc
CFLAGS=-O2 -Wall

# list the Cfiles here
CFILES=bootpc.c main.c

# List the header files here
CHEADS=bootpc.h bootp.h bptypes.h log.h

# Other files we want to have arround in distrib
MISC=Makefile MANIFEST LICENCE NOTICE LSM DHCP README WHEN-IT-FAILS VERSION \
	 ChangeLog rc.bootp VERSION

# the delete command
RM=/bin/rm
SED=/usr/bin/sed

# we generate this from the list of C files above
OBJS=$(CFILES:.c=.o)

%.o:	%.c $(CHEADS)
	$(CC) $(CFLAGS) -c $(*).c

all:	$(PROG)

clean:
	${RM} -f ${OBJS} ${PROG} *~ *.tar *.tar.gz *.tgz

${PROG}: ${OBJS}
	${CC} -o ${PROG} ${CFLAGS} ${OBJS}
	strip ${PROG}

${PROG}-static: ${OBJS}
	${CC} -static -o ${PROG} ${CFLAGS} ${OBJS}
	strip ${PROG}

# Make up a distribution file from the bits we want people to see
distrib:  $(CFILES) $(CHEADS) $(MISC)
	set `cat VERSION` ;\
	rdate=`date '+%d%h%y'|tr '[a-z]' '[A-Z]'`; \
	distname=bootpc-$$1 ; \
	rm -fr $$distname $$distname.tar $$distname.tar.gz; \
	mkdir $$distname; \
	chmod 755 $$distname; \
	for i in `cat MANIFEST` ; do \
	  [ -f $$i ] && sed -e "s/0.64/$$1/g;s/17DEC98/$$rdate/g" $$i > $$distname/$$i && echo $$i; \
	done; \
	ln -s LSM $$distname/$$distname.lsm; \
	cp $$distname/$$distname.lsm .; \
	chmod -R a+rx $$distname; \
	tar -cvf $$distname.tar $$distname; \
	gzip -9v $$distname.tar; \
	rm -fr $$distname

=== debian/changelog ===
bootpc (0.64-8) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    + Add patch to convert to Autotools buildsystem. This also makes
      the package cross-buildable. (Closes: #901723)
    + Add patch to fix FTBFS with clang. (Closes: #710414)
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Vcs-* field for git packaging repo under Salsa Debian group.
    + Update package short description. (Closes: #493507)
    + Use Rules-Requires-Root: no.
  * debian/rules: Convert to dh sequencer.
  * debian/rules: Enable full hardening.
  * debian/source/format: Convert to "3.0 (quilt)" format.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jun 2020 11:27:30 -0400

bootpc (0.64-7) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3
  * Commented out stripping in Makefile. Closes: #436601
  * Fixed the following lintian issue:
    - debian-rules-ignores-make-clean-error

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Mar 2008 10:33:34 +1100

bootpc (0.64-6) unstable; urgency=low

  * Fixed "Does not display gateway IP address from the bootp
    server response", closes: #362456. Patch by Rafal Krypa
    <mail@iceberg.pl>.
  * Set Standards-Version to 3.7.2.
  * Fixed package-uses-deprecated-debhelper-compat-version.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Jun 2006 08:44:09 +1000

bootpc (0.64-5) unstable; urgency=low

  * Fixed "man bootpc typo: seperate", closes: #323532.
  * Set Standards-Version to 3.6.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 18 Aug 2005 11:43:31 +1000

bootpc (0.64-4) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Feb 2005 22:29:02 +1100

bootpc (0.64-3) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 09:02:57 +1000

bootpc (0.64-2) unstable; urgency=low

  * Made compliant with policy version 3.2.1 (closes: #70209).

 -- Herbert Xu <herbert@debian.org>  Wed, 15 Nov 2000 21:32:15 +1100

bootpc (0.64-1) unstable; urgency=low

  * Split from netstd.
  * New upstream release (fixes #33386).

 -- Herbert Xu <herbert@debian.org>  Tue, 23 Mar 1999 13:53:50 +1100

=== debian/control ===
Source: bootpc
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/bootpc.git
Vcs-Browser: https://salsa.debian.org/debian/bootpc

Package: bootpc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: netstd
Description: Client to connect to a boot protocol (bootp) server
 This is a boot protocol client used to grab the machines ip number, set up
 DNS nameservers and other useful information.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Install into /sbin/ for now for compatibility
# Awaiting final usrmerge
execute_after_dh_auto_install:
	$(RM) -r $(CURDIR)/debian/*/usr/sbin/
